 
/*********************************************************************************
 *  Copyright© 2010 Gabriele Valentini (gabriele.valentini@mail.polimi.it),	 *
 *										 *
 *  This file is part of Evoptool.						 *
 * 										 *
 *  Evptool is free software: you can redistribute it and/or modify              *
 *  it under the terms of the GNU General Public License as published by         *
 *  the Free Software Foundation, either version 3 of the License, or            *
 *  (at your option) any later version.                                          *
 *										 *
 *  Evoptool is distributed in the hope that it will be useful,                  *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  		 *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 		 *
 *  GNU General Public License for more details.				 *
 *										 *
 *  You should have received a copy of the GNU General Public License		 *
 *  along with Evoptool.  If not, see <http://www.gnu.org/licenses/>. 		 *	
 *********************************************************************************/

/* -------------------->  Path   <---------------------- */
#define SPINGLASS_PATH "../../evoptool-file/optimization-problem/SpinGlass/"
#define TMP_DATA_PATH "../../evoptool-file/temp/data/"
#define TMP_IMAGE_PATH "../../evoptool-file/temp/image/"
#define TMP_PATH "../../evoptool-file/temp/"
#define GNUPLOT_PATH "../../evoptool-file/gnuplot/"
#define SBOA_BIN_PATH "../../evoptool-file/wrapped/sBOA/"
#define TEXTURE_RESTORATION_PATH "../../evoptool-file/optimization-problem/TextureRestoration/"
/* ----------------->  Path + File Name   <------------------ */
#define SATLIB_PATH "../../evoptool-file/optimization-problem/SatLib/satlib.instance"
#define GLADE_PATH "../../evoptool-file/glade/gui.glade"
#define SBOA_CONF_FILE "evoptool.conf"
#define SBOA_CONF_FILE_EV "../../evoptool-file/wrapped/sBOA/evoptool.conf"
#define SBOA_DEF_CONF_FILE "../../evoptool-file/wrapped/sBOA/default.conf"
#define STATUS_FILE "../../evoptool-file/temp/support/status"
#define LOG_FILE "../../evoptool-file/temp/support/log.txt"
#define TEXTURE_RESTORATION_TMP "../../evoptool-file/temp/image/tr_"
#define TEXTURE_RESTORATION_OPTIMAL_TMP "../../evoptool-file/temp/image/tr_optimal.png"
#define TEXTURE_RESTORATION_OBSERVED_TMP "../../evoptool-file/temp/image/tr_observed.png"
#define TEXTURE_RESTORATION_BIN "../../evoptool-file/wrapped/sBOA/textureRestoration.bin"
/* ------------------->  File name   <-------------------- */
#define AVG_GNUPLOT_FILE "../../evoptool-file/gnuplot/avg.gnuplot"
#define BEST_GNUPLOT_FILE "../../evoptool-file/gnuplot/best.gnuplot"
#define WORST_GNUPLOT_FILE "../../evoptool-file/gnuplot/worst.gnuplot"
#define FCALLS_GNUPLOT_FILE "../../evoptool-file/gnuplot/fcalls.gnuplot"
#define AVG_IMAGE_FILE "../../evoptool-file/temp/image/avg.png"
#define BEST_IMAGE_FILE "../../evoptool-file/temp/image/best.png"
#define WORST_IMAGE_FILE "../../evoptool-file/temp/image/worst.png"
#define FCALLS_IMAGE_FILE "../../evoptool-file/temp/image/fcalls.png"

/* ------------------->  Executable   <-------------------- */
#define SBOA_EXE "./boa"
