
/*********************************************************************************
 *  Copyright© 2010 Gabriele Valentini (gabriele.valentini@mail.polimi.it)	 *
 *										 *
 *  This file is part of Evoptool.						 *
 * 										 *
 *  Evptool is free software: you can redistribute it and/or modify              *
 *  it under the terms of the GNU General Public License as published by         *
 *  the Free Software Foundation, either version 3 of the License, or            *
 *  (at your option) any later version.                                          *
 *										 *
 *  Evoptool is distributed in the hope that it will be useful,                  *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  		 *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 		 *
 *  GNU General Public License for more details.				 *
 *										 *
 *  You should have received a copy of the GNU General Public License		 *
 *  along with Evoptool.  If not, see <http://www.gnu.org/licenses/>.    	 *	
 *********************************************************************************/

#ifndef sBOA_H_
#define sBOA_H_ 1

#include "EDA.h"
#include "Statistics.h"

using namespace std;

/* This class defines a wrapper around the sBOA algorithm, original implementation from M. Pelikan. */

class sBOA : public EDA {

	string filename_;
	bool done_;
public:
	sBOA(string filename);
	virtual ~sBOA();

	void run();
	string getName();

	void estimation() { };
	void sampling() { };
	void selection() { };
	Statistics* computeStatistics() ;
};

#endif
