
/*********************************************************************************
 *  Copyright© 2010 Gabriele Valentini (gabriele.valentini@mail.polimi.it),	 *
 *                  Luigi Malagò (malago@elet.polimi.it)                         *
 *										 *
 *  This file is part of Evoptool.						 *
 * 										 *
 *  Evptool is free software: you can redistribute it and/or modify              *
 *  it under the terms of the GNU General Public License as published by         *
 *  the Free Software Foundation, either version 3 of the License, or            *
 *  (at your option) any later version.                                          *
 *										 *
 *  Evoptool is distributed in the hope that it will be useful,                  *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  		 *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 		 *
 *  GNU General Public License for more details.				 *
 *										 *
 *  You should have received a copy of the GNU General Public License		 *
 *  along with Evoptool.  If not, see <http://www.gnu.org/licenses/>. 		 *	
 *********************************************************************************/

#ifndef OBJECTIVEFUNCTIONS_H
#define OBJECTIVEFUNCTIONS_H

#include "OneMax.h"
#include "BinVal.h"
#include "SumVal.h"
#include "OneZeroMax.h"
#include "AltBits.h"
#include "LiepinsVoseFullyDeceptive.h"
#include "FourPeaks.h"
#include "SixPeaks.h"
#include "Quadratic.h"
#include "F3Deceptive.h"
#include "Trap5.h"
#include "F3DeceptiveBipolar.h"
#include "F3DeceptiveOverlapping.h"
#include "SatLib.h"
#include "SpinGlass.h"
#include "TextureRestoration.h"

#endif
